Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.runtime
Interface ConnectorConnectionPoolRuntimeMBean

public interface ConnectorConnectionPoolRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This class is used for monitoring a WebLogic Connector Connection Pool

Method Summary
`int` | `getActiveConnectionsCurrentCount()` Returns the current total active connections.
`int` | `getActiveConnectionsHighCount()` Returns the high water mark of active connections in this Connector Pool since the pool was instantiated.
`int` | `getAverageActiveUsage()` Returns the running average usage of created connections that are active in the Connector Pool since the pool was last shrunk.
`int` | `getCapacityIncrement()` Returns the initial capacity configured for this Connector connection pool.
`java.lang.String` | `getConnectionFactoryName()` Returns the configured ConnectionFactory Name for the Connection Factory using this Connector connection pool.
`int` | `getConnectionIdleProfileCount()` Returns the number of Idle connection profiles stored for this pool.
`weblogic.jdbc.common.internal.ConnectionLeakProfile[]` | `getConnectionIdleProfiles()` Returns all LeakProfiles in the entire array of Idle profiles.
`weblogic.jdbc.common.internal.ConnectionLeakProfile[]` | `getConnectionIdleProfiles(int index, int count)` Returns an array of count LeakProfiles starting at the passed index, in the entire array of Idle profiles.
`int` | `getConnectionLeakProfileCount()` Returns the number of Leak connection profiles stored for this pool.
`weblogic.jdbc.common.internal.ConnectionLeakProfile[]` | `getConnectionLeakProfiles()` Returns an array of count LeakProfiles
`weblogic.jdbc.common.internal.ConnectionLeakProfile[]` | `getConnectionLeakProfiles(int index, int count)` Returns an array of count LeakProfiles starting at the passed index, in the entire array of Leak profiles.
`boolean` | `getConnectionProfilingEnabled()` Returns all LeakProfiles in the entire array of Leak profiles.
`ConnectorConnectionRuntimeMBean[]` | `getConnections()` Returns an array of ConnectorConnectionRuntimeMBeans that each represents the statistics for a Connector Connection.
`int` | `getConnectionsCreatedTotalCount()` Returns the total number of Connector connections created in this Connector Pool since the pool is instantiated.
`int` | `getConnectionsDestroyedTotalCount()` Returns the total number of Connector connections destroyed in this Connector Pool since the pool is instantiated.
`int` | `getConnectionsMatchedTotalCount()` Returns the total number of times a request for a Connector connections was satisfied via the use of an existing created connection since the pool is instantiated.
`int` | `getConnectionsRejectedTotalCount()` Returns the total number of rejected requests for a Connector connections in this Connector Pool since the pool is instantiated.
`int` | `getFreeConnectionsCurrentCount()` Returns the current total free connections.
`int` | `getFreeConnectionsHighCount()` Returns the high water mark of free connections in this Connector Pool since the pool was instantiated.
`int` | `getInitialCapacity()` Returns the initial capacity configured for this Connector connection pool.
`java.lang.String` | `getJNDIName()` Returns the configured JNDI Name for the Connection Factory using this Connector connection pool.
`java.lang.String` | `getLogFileName()` Returns the Log File used by the Resource Adapter for this Connector connection pool.
`int` | `getMaxCapacity()` Returns the maximum capacity configured for this Connector connection pool.
`int` | `getMaxIdleTime()` Returns the configured MaxIdle time for this pool
`int` | `getNumberDetectedIdle()` Returns the total number of idle connections detected in the lifetime of this pool.
`int` | `getNumberDetectedLeaks()` Returns the total number of leaked connections detected in the lifetime of this pool.
`java.lang.String` | `getPoolName()` Returns the configured Logical Name for the Connection Factory using this Connector connection pool.
`int` | `getRecycledTotal()` Returns the total number of Connector connections that have been recycled in this Connector Pool since the pool is instantiated.
`java.lang.String` | `getResourceAdapterLinkRefName()` Returns the Resource Adapter Link Reference for cases where this Connection Factory refers to an existing Resource Adapter deployment.
`int` | `getShrinkCountDownTime()` Returns the amount of time left (in minutes) until an attempt to shrink the pool will be made.
`int` | `getShrinkPeriodMinutes()` Returns the Shrink Period (in minutes) of this Connector connection pool.
`java.lang.String` | `getTransactionSupport()` Returns the transaction support level for the Resource Adapter for this Connector connection pool.
`boolean` | `isLoggingEnabled()` Returns the Log File used by the Resource Adapter for this Connector connection pool.
`boolean` | `isShrinkingEnabled()` Is shrinking of this Connector connection pool enabled.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getPoolName

    public java.lang.String getPoolName()

  Returns the configured Logical Name for the Connection Factory using this Connector connection pool.

### getJNDIName

    public java.lang.String getJNDIName()

  Returns the configured JNDI Name for the Connection Factory using this Connector connection pool.

### getConnectionFactoryName

    public java.lang.String getConnectionFactoryName()

  Returns the configured ConnectionFactory Name for the Connection Factory using this Connector connection pool.

### getResourceAdapterLinkRefName

    public java.lang.String getResourceAdapterLinkRefName()

  Returns the Resource Adapter Link Reference for cases where this Connection Factory refers to an existing Resource Adapter deployment.

### isLoggingEnabled

    public boolean isLoggingEnabled()

  Returns the Log File used by the Resource Adapter for this Connector connection pool.

### getLogFileName

    public java.lang.String getLogFileName()

  Returns the Log File used by the Resource Adapter for this Connector connection pool.

### getTransactionSupport

    public java.lang.String getTransactionSupport()

  Returns the transaction support level for the Resource Adapter for this Connector connection pool.

### getMaxCapacity

    public int getMaxCapacity()

  Returns the maximum capacity configured for this Connector connection pool.

### getInitialCapacity

    public int getInitialCapacity()

  Returns the initial capacity configured for this Connector connection pool.

### getCapacityIncrement

    public int getCapacityIncrement()

  Returns the initial capacity configured for this Connector connection pool.

### isShrinkingEnabled

    public boolean isShrinkingEnabled()

  Is shrinking of this Connector connection pool enabled.

### getShrinkPeriodMinutes

    public int getShrinkPeriodMinutes()

  Returns the Shrink Period (in minutes) of this Connector connection pool.

### getActiveConnectionsCurrentCount

    public int getActiveConnectionsCurrentCount()

  Returns the current total active connections.

### getActiveConnectionsHighCount

    public int getActiveConnectionsHighCount()

  Returns the high water mark of active connections in this Connector Pool since the pool was instantiated.

### getFreeConnectionsCurrentCount

    public int getFreeConnectionsCurrentCount()

  Returns the current total free connections.

### getFreeConnectionsHighCount

    public int getFreeConnectionsHighCount()

  Returns the high water mark of free connections in this Connector Pool since the pool was instantiated.

### getAverageActiveUsage

    public int getAverageActiveUsage()

  Returns the running average usage of created connections that are active in the Connector Pool since the pool was last shrunk.

### getShrinkCountDownTime

    public int getShrinkCountDownTime()

  Returns the amount of time left (in minutes) until an attempt to shrink the pool will be made.

### getRecycledTotal

    public int getRecycledTotal()

  Returns the total number of Connector connections that have been recycled in this Connector Pool since the pool is instantiated.

### getConnectionsCreatedTotalCount

    public int getConnectionsCreatedTotalCount()

  Returns the total number of Connector connections created in this Connector Pool since the pool is instantiated.

### getConnectionsMatchedTotalCount

    public int getConnectionsMatchedTotalCount()

  Returns the total number of times a request for a Connector connections was satisfied via the use of an existing created connection since the pool is instantiated.

### getConnectionsDestroyedTotalCount

    public int getConnectionsDestroyedTotalCount()

  Returns the total number of Connector connections destroyed in this Connector Pool since the pool is instantiated.

### getConnectionsRejectedTotalCount

    public int getConnectionsRejectedTotalCount()

  Returns the total number of rejected requests for a Connector connections in this Connector Pool since the pool is instantiated.

### getConnections

    public ConnectorConnectionRuntimeMBean[] getConnections()

  Returns an array of ConnectorConnectionRuntimeMBeans that each represents the statistics for a Connector Connection.

### getConnectionIdleProfileCount

    public int getConnectionIdleProfileCount()

  Returns the number of Idle connection profiles stored for this pool.

### getConnectionIdleProfiles

    public weblogic.jdbc.common.internal.ConnectionLeakProfile[] getConnectionIdleProfiles(int index,
                                                                                           int count)

  Returns an array of count LeakProfiles starting at the passed index, in the entire array of Idle profiles.

### getConnectionLeakProfiles

    public weblogic.jdbc.common.internal.ConnectionLeakProfile[] getConnectionLeakProfiles()

  Returns an array of count LeakProfiles

### getConnectionIdleProfiles

    public weblogic.jdbc.common.internal.ConnectionLeakProfile[] getConnectionIdleProfiles()

  Returns all LeakProfiles in the entire array of Idle profiles.

### getConnectionLeakProfileCount

    public int getConnectionLeakProfileCount()

  Returns the number of Leak connection profiles stored for this pool.

### getConnectionLeakProfiles

    public weblogic.jdbc.common.internal.ConnectionLeakProfile[] getConnectionLeakProfiles(int index,
                                                                                           int count)

  Returns an array of count LeakProfiles starting at the passed index, in the entire array of Leak profiles.

### getConnectionProfilingEnabled

    public boolean getConnectionProfilingEnabled()

  Returns all LeakProfiles in the entire array of Leak profiles.

### getMaxIdleTime

    public int getMaxIdleTime()

  Returns the configured MaxIdle time for this pool

### getNumberDetectedIdle

    public int getNumberDetectedIdle()

  Returns the total number of idle connections detected in the lifetime of this pool.

### getNumberDetectedLeaks

    public int getNumberDetectedLeaks()

  Returns the total number of leaked connections detected in the lifetime of this pool.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference